## Database - Redundant

Database - Redundant — An interface to access Redundant Database

## Functions

lt_redundant_db_t * | lt_redundant_db_new ()
lt_redundant_db_t * | lt_redundant_db_ref ()
void | lt_redundant_db_unref ()
lt_redundant_t * | lt_redundant_db_lookup ()

## Types and Values

| lt_redundant_db_t

## Description

This class provides an interface to access Redundant database. which were mostly made redundant by the advent of either RFC 4646 or RFC 5646.

## Functions

### lt_redundant_db_new ()

    lt_redundant_db_t *
    lt_redundant_db_new (void);

Create a new instance of a lt_redundant_db_t.

#### Returns

a new instance of lt_redundant_db_t.

[transfer full]

### lt_redundant_db_ref ()

    lt_redundant_db_t *
    lt_redundant_db_ref (lt_redundant_db_t *redundantdb);

Increases the reference count of `redundantdb` .

#### Parameters

redundantdb | a lt_redundant_db_t. |

#### Returns

the same `redundantdb` object.

[transfer none]

### lt_redundant_db_unref ()

    void
    lt_redundant_db_unref (lt_redundant_db_t *redundantdb);

Decreases the reference count of `redundantdb` . when its reference count drops to 0, the object is finalized (i.e. its memory is freed).

#### Parameters

redundantdb | a lt_redundant_db_t. |

### lt_redundant_db_lookup ()

    lt_redundant_t *
    lt_redundant_db_lookup (lt_redundant_db_t *redundantdb,
                            const char *tag);

Lookup `lt_redundant_t` if `tag` is valid and registered into the database.

#### Parameters

redundantdb | a lt_redundant_db_t. |
tag | a tag name to lookup. |

#### Returns

a lt_redundant_t that meets with `tag` . otherwise `NULL`.

[transfer full]

## Types and Values

### lt_redundant_db_t

    typedef struct _lt_redundant_db_t lt_redundant_db_t;

All the fields in the lt_redundant_db_t structure are private to the lt_redundant_db_t implementation.